Subject: Re: [PATCH 2/2] x86/tbl/trace: Do not trace on CPU that is offline

From: Steven Rostedt <[email-masked]>
Date: Sat, 7 Feb 2015 10:22:55 -0500

On Sat, 7 Feb 2015 09:13:23 +0100
Sedat Dilek <[email-masked]> wrote:
I fell over this w/o having any experiences in using the tracing
> system within the Linux-kernel.
> Can you give a brief introduction?
> Or can describe how you made your tests?
> Did you use trace-cmd in your tests?
> 
>

Some of the tests use trace-cmd, others use perf, most just do echo and
cat into the tracing directory itself.

I've added these over the years and need to clean them up and put them
someplace public. Right now they are very specific to my machines.

There's also tests in tools/testing/selftests/ftrace. But the rules
for what can go into selftests limit what I can place in there. I will
be adding more tests there soon though.

-- Steve